package hdl

import (
	"applet/app/e"
	"applet/app/svc"
	"github.com/gin-gonic/gin"
)

func PrinterCateList(c *gin.Context) {
	svc.PrinterCateList(c)
}
func PrinterLocationList(c *gin.Context) {
	svc.PrinterLocationList(c)
}

// 打印机
func PrinterIndex(c *gin.Context) {
	svc.PrinterIndexList(c)
}

// 模板列表
func PrinterModule(c *gin.Context) {
	svc.PrinterModuleList(c)
}

// 保存
func PrinterIndexSave(c *gin.Context) {
	svc.PrinterIndexSave(c)
}

// 保存模板id
func PrinterIndexModuleSave(c *gin.Context) {
	svc.PrinterIndexModuleSave(c)
}

// 使用状态保存
func PrinterIndexStateSave(c *gin.Context) {
	svc.PrinterIndexStateSave(c)
}

// 删除接口
func PrinterIndexDel(c *gin.Context) {
	var idsMap map[string]string
	if err := c.ShouldBindJSON(&idsMap); err != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err)
		return
	}
	svc.PrinterDelIndex(c, idsMap["id"])
}

// 明细
func PrinterIndexRecord(c *gin.Context) {
	svc.PrinterIndexRecordList(c)
}

// 明细筛选
func PrinterIndexRecordScreen(c *gin.Context) {
	svc.PrinterIndexRecordScreen(c)
}
func PrinterIndexToSend(c *gin.Context) {
	svc.PrinterIndexToSend(c)
}
func PrinterIndexCheck(c *gin.Context) {
	svc.PrinterIndexCheck(c)
}
func ReplacePrinterContent(c *gin.Context) {
	svc.ReplacePrinterContent(c)
}
